Support » Plugin: Events Manager » EM and WPML Compatibility update broke my site

  • My site is broken after the “Events Manager and WPML Compatibility” 2.0.1 update.

    This is the error message I have in back-office (in French):

    Cette extension n’a pas pu se charger correctement et a été mise en pause dans le cadre du mode de récupération.

    Une erreur de type E_ERROR a été causée dans la ligne 403 du fichier —/wp-content/plugins/events-manager-wpml/em-wpml-admin.php. Message d’erreur : Uncaught Error: Class ‘EM_Admin_Notice’ not found in —/wp-content/plugins/events-manager-wpml/em-wpml-admin.php:403 Stack trace: #0 —/wp-content/plugins/events-manager-wpml/events-manager-wpml.php(478): EM_WPML_Admin::update() #1 —/wp-content/plugins/events-manager-wpml/events-manager-wpml.php(59): em_wpml_activate() #2 —/wp-includes/class-wp-hook.php(288): EM_WPML::init(”) #3 —/wp-includes/class-wp-hook.php(312): WP_Hook->apply_filters(”, Array) #4 —/wp-includes/plugin.php(478): WP_Hook->do_action(Array) #5 —/wp-content/plugins/sitepress-multilingual-cms/sitepress.class.php(493): do_action(‘wpml_after_init’) #6 —/wp-includes/class-wp-hook.php(288): SitePress->init(”) #7 —/wp-includes/class-wp-hook.php(312): WP_Hook->apply_filters(NULL, Array) #8 —/wp-includes/plugin.php(478): WP_Hook->do_action(Array) #9

    Can you help me please ?

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Support timrv

    (@timrv)

    Hello,

    I’ll forward this to our Devs. We’ll let you know as soon as I receive an update from them.

    Can We perhaps know the versions of the following?

    1. Your PHP versions
    2. WordPress version
    3. Events Manager version
    4. Events Manager PRO version
    5. WPML version

    If possible can you perhaps try disable all other plugins and only activate the following? Does the error still shows event if only the following plugins are activated?
    1. EM + EM Pro
    2. WPML
    3. EM + WPML compatibilty.

    You could also try and use https://wordpress.org/plugins/wp-safe-mode/ to test the following

    Thread Starter pierreripka

    (@pierreripka)

    Hello, thank you for your reply.

    PHP version : 7.0.33
    WordPress version : 5.3
    Events Manager version : 5.9.7
    Events Manager PRO version : not installed
    WPML version : 4.3.4

    I just tried to deactivate and reactivate all installed plugins, and oddly the bug is gone now. I do not understand why, but that’s good!

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘EM and WPML Compatibility update broke my site’ is closed to new replies.